<?php

/**
 * Class for license related helper functions.
 */
class license {

	/**
	 * Get display name for a given license branding name.
	 * @param string License branding name.
	 * @return string Display name that corresponds to branding name.
	 */
	public static function get_display_name($branding_name) {
		static $display_name_lookup = array(
			'trial'           => 'Trial',
			'free'            => 'Free',
			'standard'        => 'Standard',
			'pro'             => 'Pro',
			'enterprise'      => 'Enterprise',
			'enterprise_plus' => 'Enterprise+',
            'generic'         => ''
		);

		if (isset($display_name_lookup[$branding_name]))
			return $display_name_lookup[$branding_name];

		// Branding name not recognized. Make the best of it.
		return ucfirst(str_replace("_", ' ', $branding_name));
	}
}
